const { ipcRenderer, remote } = require("electron");

var asdf = require("asdf-games");
const { Game, KeyControls, MouseControls } = asdf;

const window = { w: 640, h: 320 };

const game = new Game(window.w, window.h, true);
ipcRenderer.send("resize", window);

const { scene } = game;

var Player = require("./src/entities/player.js");
var Level = require("./src/levels/level.js");

const mouseAim = new MouseControls(document.getElementById("board"));
const keys = new KeyControls();

var player = new Player(keys, window);
var level = new Level(window, keys, player);

scene.add(level);
scene.add(player);

game.run(() => {
  if (mouseAim.isDown) {
    console.log("cliccccccccccc");
  }

  // Check gamestate
  // TODO
});

/* *********************************************************
  Settings behavior
********************************************************* */

// Opening and closing of menu.
document.getElementById("settings").addEventListener("click", () => {
  const menuRef = document.getElementById("menu");
  menuRef.style.display = menuRef.style.display === "block" ?  "none" : "block";
});

// Quit Game handling.
document.getElementById("close").addEventListener("click", () => {
  remote.app.quit();
});

// Return to main menu button
document.getElementById("mainmenu").addEventListener("click", () => {
  remote.getCurrentWindow().loadFile(__dirname + "/index.html");
});